#
# spec file for package guile-json
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           guile-json
Version:        1.2.0
Release:        lp152.2.2
Summary:        JSON module for Guile
License:        GPL-3.0-or-later
Group:          Development/Libraries/Other
Url:            https://savannah.nongnu.org/projects/guile-json/
Source0:        http://download.savannah.gnu.org/releases/guile-json/%{name}-%{version}.tar.gz
Source1:        http://download.savannah.gnu.org/releases/guile-json/%{name}-%{version}.tar.gz.sig
Source2:        https://savannah.nongnu.org/people/viewgpg.php?user_id=11331#/%{name}.keyring
Source1000:     guile-json-rpmlintrc
BuildRequires:  guile-devel >= 2.0.0
Requires:       guile >= 2.0.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Guile-json is JSON module for Guile. It supports parsing and building
JSON documents according to the http:://json.org specification. These
are the main features:

- Strictly complies to http://json.org specification.
- Build JSON documents programmatically via macros.
- Unicode support for strings.
- Allows JSON pretty printing.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install %{_smp_mflags} DESTDIR=%{buildroot}

%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS NEWS README
%{_datadir}/guile*
%{_libdir}/guile*

%changelog
* Fri Aug 24 2018 jbrielmaier@suse.de
- bump to 1.2.0
  changes since 1.0.1
  - License only GPLv3+
  - install .go file to %%(libdir)/guile
- add guile as runtime dependency to avoid "compiling" when using
  (json) for the first time
- needs guile-devel to avoid build failure
* Tue May 29 2018 jbrielmaier@suse.de
- bump to 1.0.1
  changes since 0.6.0
  - now under GPLv3+ and LGPLv3+
  - support 4-byte unicode characters
  - fix smaller issues
* Mon May  7 2018 sleep_walker@opensuse.org
- add guile-json-rpmlintrc file to suppress failures
* Fri Mar  9 2018 sleep_walker@opensuse.org
- mov license file from %%doc to %%license
* Thu Feb 15 2018 sleep_walker@opensuse.org
- bump to 0.6.0
  changes since 0.5.0
  - Deprecate json macro in favor of scheme data types.
* Thu Feb 15 2018 sleep_walker@opensuse.org
- make package not noarch
* Fri Jul 22 2016 sleep_walker@opensuse.org
- bump to 0.5.0
  changes since 0.4.0:
  * Allow converting simple alists to json
    e.g.: (scm->json-string '((a . 1) (b . 2))))
* Sun Nov  8 2015 astieger@suse.com
- add source URLs, keyring and verify source signatures
- license is LGPL-3.0+ as per code headers
- package license file
* Fri Nov  6 2015 sleep_walker@opensuse.org
- fix RPM group
- add tarball signature as RPM Source
* Fri Nov  6 2015 sleep_walker@opensuse.org
- require guile 2.0+ to prevent build failures
* Thu Nov  5 2015 sleep_walker@opensuse.org
- let there be guile-json
